package nc.pubitf.baseapp.image;

import nc.vo.pub.SuperVO;
/**
 * 影像采集接口
 * @author ll
 * @date 2021-05-27
 *
 */
public class ImageTMLogVO extends SuperVO{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 日志主键
	 */
	private String pk_log;
	
	/**
	 * 单据主键
	 */
	private String billid;
	
	/**
	 * 单据编码
	 */
	private String billno; 
	
	/**
	 * 传输状态
	 */
	private String tm_status; 
	
	/**
	 * 传输内容
	 */
	private String tm_content; 
	
	/**
	 * 传输返回信息
	 */
	private String tm_result; 
	
	/**
	 * 时间戳
	 */
	private String ts;
	
	/**
	 * 删除标识
	 */
	private int dr = 0;
	
	/**
	 * 自定义项1
	 */
	private String def1; 

	/**
	 * 自定义项2
	 */
	private String def2; 

	/**
	 * 自定义项3
	 */
	private String def3; 

	/**
	 * 自定义项4
	 */
	private String def4; 

	/**
	 * 自定义项5
	 */
	private String def5;

	/**
	 * 自定义项6
	 */
	private String def6; 

	/**
	 * 自定义项7
	 */
	private String def7; 

	/**
	 * 自定义项8
	 */
	private String def8; 

	/**
	 * 自定义项9
	 */
	private String def9; 

	/**
	 * 自定义项10
	 */
	private String def10; 
	
	/**
	 * 接口编码
	 */
	private String apicode;
	
	public String getPk_log() {
		return pk_log;
	}

	public void setPk_log(String pk_log) {
		this.pk_log = pk_log;
	}

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getTm_status() {
		return tm_status;
	}

	public void setTm_status(String tm_status) {
		this.tm_status = tm_status;
	}

	public String getTm_content() {
		return tm_content;
	}

	public void setTm_content(String tm_content) {
		this.tm_content = tm_content;
	}

	public String getTm_result() {
		return tm_result;
	}

	public void setTm_result(String tm_result) {
		this.tm_result = tm_result;
	}

	public String getTs() {
		return ts;
	}

	public void setTs(String ts) {
		this.ts = ts;
	}

	public int getDr() {
		return dr;
	}

	public void setDr(int dr) {
		this.dr = dr;
	}

	public String getDef1() {
		return def1;
	}

	public void setDef1(String def1) {
		this.def1 = def1;
	}

	public String getDef2() {
		return def2;
	}

	public void setDef2(String def2) {
		this.def2 = def2;
	}

	public String getDef3() {
		return def3;
	}

	public void setDef3(String def3) {
		this.def3 = def3;
	}

	public String getDef4() {
		return def4;
	}

	public void setDef4(String def4) {
		this.def4 = def4;
	}

	public String getDef5() {
		return def5;
	}

	public void setDef5(String def5) {
		this.def5 = def5;
	}

	public String getDef6() {
		return def6;
	}

	public void setDef6(String def6) {
		this.def6 = def6;
	}

	public String getDef7() {
		return def7;
	}

	public void setDef7(String def7) {
		this.def7 = def7;
	}

	public String getDef8() {
		return def8;
	}

	public void setDef8(String def8) {
		this.def8 = def8;
	}

	public String getDef9() {
		return def9;
	}

	public void setDef9(String def9) {
		this.def9 = def9;
	}

	public String getDef10() {
		return def10;
	}

	public void setDef10(String def10) {
		this.def10 = def10;
	}
	
	public String getApicode() {
		return apicode;
	}

	public void setApicode(String apicode) {
		this.apicode = apicode;
	}

	@Override
	public String getTableName() {
		// TODO Auto-generated method stub
		return "img_tm_log";
	}

	@Override
	public String getPKFieldName() {
		// TODO Auto-generated method stub
		return "pk_log";
	}
	
	

}